summaryrefslogtreecommitdiffstats
path: root/scripts/logview
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/logview')
-rwxr-xr-xscripts/logview25
1 files changed, 25 insertions, 0 deletions
diff --git a/scripts/logview b/scripts/logview
new file mode 100755
index 000000000..e55d848c1
--- /dev/null
+++ b/scripts/logview
@@ -0,0 +1,25 @@
+#!/bin/bash
+# view the ansible logs
+# takes all the options of grep and passes them straight through - then parses the output so it looks better and readable
+# should only be used on the .log files not the .info files. info files are flat readable
+# example:
+# logview CHANGED /var/log/2013/07/01/mirrorlist/*/*.log
+
+IFS='
+'
+
+for line in `grep -H $@`
+do
+ logpath=`echo $line| cut -d: -f1`
+ hostname=`basename $logpath`
+ echo -n "$hostname "
+ echo $line | cut -d: -f2-| cut -f3-4
+ json=`echo $line | cut -d: -f2- |cut -f5-`
+ echo $json| python -m json.tool 2>/dev/null >&2
+ if [ $? != 0 ]; then
+ echo "Error parsing json"
+ else
+ echo $json| python -m json.tool
+ fi
+done
+